package com.adealink.weparty.network

enum class ServerCode(val code: Int) {
    COMMON_OP_ERROR(500), //后端通用操作失败
    TOKEN_EXPIRE(100004), //token过期
    NO_PERMISSION(502), //没有权限
    NOT_REGISTER(503), //未注册
    HAS_REGISTER_WITHOUT_PASSWORD(504),//已注册、没有设置密码
    ROOM_ALREADY_CREATE(505), //房间已创建
    INVALID_PARAM(506), //存在无效参数
    SERVER_EXCEPTION(507), //后端异常
    LOGIN_REGISTER_LIMIT(527), //同一个设备注册多个账号限制
    UN_CONFIG(528), //未配置
    NO_EXIST(531), //查不到相关记录
    INVITE_YOURSELF(533), //不能邀请自己
    INVITE_REPEAT(536), //不能重复邀请
    USER_BANNED(538), //用户被封禁
    FOLLOW_BE_BLACK(539), //关注对方但是被拉黑
    GOODS_EXPIRED(540), //商品已经过期
    ALREADY_IN_USE(546), //商品已经在使用中了
    HAS_SENSITIVE_WORD(542), //存在敏感词
    ILLEGAL_PICTURE(543), //违规图片
    OPERATION_LIMIT(544), //操作次数受限
    INVALID_VERIFY_CODE(920), //无效的验证码
    DEVICE_OPERATION_LIMIT(921),//设备操作受限
    PASSWORD_ERROR(922), //登录密码错误
    PASSWORD_ERROR_TOO_FREQUENTLY(923), //登录密码错误太多次
    FUNCTION_BLOCK(553),//功能被封
    VERIFY_CODE_LIMIT(924),//同一个账户验证码发送受限
    LOGIN_WITH_INVALID_DEVICE_ID(3010), //用户登录注册请求中,设备ID不合法.限制登录
    LOGIN_WITH_VIRTUAL_APK(3011), //禁止使用多开软件登录
    ;
}